<section id="menu">
  <a href="/" title="BDE GEII" alt="BDE GEII">
    <div id="menuLogo"></div>
  </a>
  <a href="/">
    <div class="menuItem{{isHome}}">
      <p>Accueil</p>
    </div>
  </a>
  <a href="/rejoindre">
    <div class="menuItem{{isRejoindre}}">
      <p>Rejoindre</p>
    </div>
  </a>
  <a href="/contact">
    <div class="menuItem{{isContact}}">
      <p>Contact</p>
    </div>
  </a>
  <a href="https://www.instagram.com/bde_geii_tln/" target="_blank">
    <div class="menuItem instagramItem"></div>
  </a>
  <a href="https://www.facebook.com/BDE.GEII.Toulon" target="_blank">
    <div class="menuItem facebookItem"></div>
  </a>
</section>
<div id="mobileMenuButton"></div>

<a href="/recrutement">
  <div id="topbarAnnouncement">
    <p>Le BDE recrute!</p>
  </div>
</a>

<script>
  let isMenuOpen = false;
  let isContentClickBinded = false;

  document.querySelector("#mobileMenuButton").addEventListener("click", () => toggleMenu());

  const toggleMenu = () => {
    isMenuOpen = !isMenuOpen;

    if(!isContentClickBinded) {
      document.querySelector("#content")
      .addEventListener("click", () => {
        if(isMenuOpen) toggleMenu();
      });
      isContentClickBinded = true;
    }

    document.querySelector("#menu").classList.toggle("open");
    document.querySelector("#mobileMenuButton").classList.toggle("menuOpen");
    document.querySelector("#content").classList.toggle("menuOpen");
    document.querySelector("body").classList.toggle("menuOpen");
  }
</script>
<section id="content">
